﻿@model ListKong.Models.InventoryModel

@{
    ViewData["Title"] = "Edit";
}
<script src="~/js/InventoryPage.js"></script>
<div class="content-wrapper" style="min-height: 500.8px;margin:0 !important;">
    <section class="content-header">
        <h1>
            Edit Inventory
        </h1>
        <ol class="breadcrumb">
            <li><a asp-controller="Inventory" asp-action="Index"><i class="fa fa-dashboard"></i>Manage Inventory</a></li>
            <li class="active">Edit Inventory</li>
        </ol>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="box box-info">
                    <div class="box-header with-border">
                        <h3 class="box-title">Edit Inventory</h3>
                    </div>
                    <form asp-action="Edit" enctype="multipart/form-data" method="post">
                        <div class="box-body">
                            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                            <input asp-for="InvLocationID" type="hidden" class="form-control" />
                            <input asp-for="InvID" type="hidden" class="form-control" />
                            <input asp-for="InvCompanyID" type="hidden" class="form-control" />

                            <div class="form-group">
                                <label asp-for="CompanyName" class="control-label"></label>
                                <input asp-for="CompanyName" class="form-control" readonly />
                                <span asp-validation-for="CompanyName" class="text-danger"></span>
                            </div>

                            <div class="form-group">
                                <label asp-for="LocationName" class="control-label"></label>
                                <input asp-for="LocationName" class="form-control" readonly />
                                <span asp-validation-for="LocationName" class="text-danger"></span>
                            </div>

                            <div class="form-group">
                                <label asp-for="InvName" class="control-label"></label>
                                <input asp-for="InvName" class="form-control" />
                                <span asp-validation-for="InvName" class="text-danger"></span>
                            </div>
                            <div class="form-group">
                                <label asp-for="InvDesc" class="control-label"></label>
                                <textarea asp-for="InvDesc" class="form-control"></textarea>
                                <span asp-validation-for="InvDesc" class="text-danger"></span>
                            </div>
                            @*<div class="form-group">
                    <div class="row">
                        @foreach (var item in Model.InventoryImages)
                        {

                            <div class="col-md-6">
                                <div style="float:left">
                                    <img src="@item.FileName" width="150" height="150" />
                                </div>
                                <div style="float:left">
                                    <input type="button" class="btn btn-danger clsDeletemore" data-id="@item.ImageId" value="Delete" style="margin-left: 10px;" />
                                </div>
                            </div>
                        }
                    </div>
                </div>*@
                            <div class="form-group">
                                <input type="submit" value="Update Inventory" class="btn btn-primary" />
                            </div>
                        </div>
                    </form>
                    <a style="text-align:right" asp-controller="Inventory" asp-action="Index"><i class="os-icon os-icon-signs-11"></i><span>Back to List</span></a>
                </div>
            </div>
        </div>
    </section>
</div>

